## CacheObjectsIntoFile

### Introduced

v7.0

### Description

Caches the specified list of objects into cache files.

### Scripting Syntax

    CacheObjectsIntoFile( [ObjectsToCache], [PathID], [FirstFrame], [LastFrame], [FramesPerStep], [Overwrite], [ShowProgressbar], [Attributes], [Version], [AlternativePath], [KineAnimation] );

### Parameters

Parameter | Type | Description
--- | --- | ---
ObjectsToCache | String or XSICollection | The list of objects to cache into files. Default Value: Selected objects
PathID | Integer | The index of the path template Default Value: 0
FirstFrame | Integer | The first frame at which caching begins. Default Value: 1
LastFrame | Integer | The last frame at which caching stops. Default Value: 100
FramesPerStep | Integer | Defines how many frames to jump per frame. Default Value: 1
Overwrite | Boolean | True to overwrite the file if it exists Default Value: False
ShowProgressbar | Boolean | True to display a ProgressBar during this operation Default Value: True
Attributes | String | List of attributes to include Default Value: PointPosition
Version | String | Version id for cache file Default Value: A
AlternativePath | String | Alternative path to use (in case of failure) Default Value: ""
KineAnimation | Boolean | True to cache in global space Default Value: False

### See Also

CopyCacheFiles CopyExtFilesIntoProject CacheObjectsIntoFileDialog SimulationEnvironment ProgressBar